<template>
     <div class="modal showModal" tabindex="-1" role="dialog" aria-labelledby="editProductLabel" aria-hidden="true">
            <div class="modal-dialog" :style="{'max-width': `${width}px` || '500px'}" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <p class="modal-title" id="editProductLabel">{{header}}</p>
                        <button type="button" class="close" @click="$emit('close')" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                      <slot name="body"></slot>
                      <br>
                    </div>

                    <div class="footer">
                      <slot name="footer"></slot>
                    </div>
                </div>
            </div>
        </div>
</template>
<script>
export default {
  props: ['header', 'width'],
  data() {
    return {};
  },
  methods: {}
};
</script>
<style lang="scss">
.modal .footer {
  & > div {
    display: flex;
    justify-content: flex-end;
    border-top: 1px solid lightgray;
    padding: 5px 0;

    button {
      width: 44%;
      margin: 1% 3%;
      padding: 10px;
    }
  }
}
.modal-body p {
  font-size: 14px;
}
.modal-title {
  font-size: 16px;
}
.showModal {
  display: block;
  background-color: rgba(0, 0, 0, 0.5);
}
</style>